## topal 72

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Topal: GPG/GnuPG and Alpine/Pine integration
-# Copyright (C) 2001--2008  Phillip J. Brooke
+# Copyright (C) 2001--2010  Phillip J. Brooke
 # 
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License version 3 as
@@ -15,7 +15,7 @@
 
 .PHONY:	all clean realclean distclean package install distrib all2 FORCE
 
-RELEASECODE=$(shell cat release)
+RELEASECODE=$(shell grep '^<dt>' README.html | tail -1 | sed 's/.* release //; sx</a>.*$$xx')
 BUILDDATE=$(shell date '+%Y-%m-%dT%H%M%S%Z')
 
 # If you intend to redistribute this package, you will obviously need
@@ -27,7 +27,7 @@
 CFILES=$(shell find . -maxdepth 1 -name \*.c)
 ADSFILES=$(filter-out $(GENFILES),$(shell find . -maxdepth 1 -name \*.ads))
 ADBFILES=$(filter-out $(GENFILES),$(shell find . -maxdepth 1 -name \*.adb))
-OTHERFILES=Makefile README.html topal.man COPYING release mkversionid mkhelp help.txt mkdistrib $(shell find . -maxdepth 1 -name pine-\*.patch) $(shell find . -maxdepth 1 -name alpine-\*.patch)
+OTHERFILES=Makefile README.html topal.man COPYING mkversionid mkhelp help.txt mkdistrib $(shell find . -maxdepth 1 -name pine-\*.patch) $(shell find . -maxdepth 1 -name alpine-\*.patch) $(shell find . -maxdepth 1 -name alpine-\*.patch-\*)
 TOPALDEPS=ada-readline-c.o ada-echo-c.o externals-c.o version_id.adb help.ads help.adb $(ADSFILES) $(ADBFILES)
 
 INSTALLPATH ?= /usr
@@ -62,7 +62,7 @@
 
 topal.gz.asc:	topal.gz
 	-rm topal.gz.asc
-	-gpg --detach-sign --armor --local-user=$(MYKEY) topal.gz
+	-gpg --detach-sign --armor --local-user=$(MYKEY) --use-agent topal.gz
 
 topal-ps:	$(TOPALDEPS)
 	gnatmake -gnatwa -gnato -o topal-ps -O2 $(TOPALDEBUG) topal -bargs -static
@@ -73,24 +73,24 @@
 
 topal-ps.gz.asc:	topal-ps.gz
 	-rm topal-ps.gz.asc
-	-gpg --detach-sign --armor --local-user=$(MYKEY) topal-ps.gz
+	-gpg --detach-sign --armor --local-user=$(MYKEY) --use-agent topal-ps.gz
 
 # FORCE, because BUILDDATE changes each time....
-version_id.adb:	mkversionid release FORCE
+version_id.adb:	mkversionid FORCE
 	./mkversionid $(RELEASECODE) $(BUILDDATE)
 
 help.ads help.adb: mkhelp help.txt
 	./mkhelp
 
 README.txt:	README.html
-	lynx -dont_wrap_pre -dump README.html > README.txt
+	lynx -dont_wrap_pre -underscore -nolist -dump README.html > README.txt
 
 install:	all
 	install -d $(INSTALLPATHBIN) $(INSTALLPATHDOC) $(INSTALLPATHMAN)/man1 $(INSTALLPATHPATCHES)
 	install -m 755 -s topal $(INSTALLPATHBIN)
 	install -m 644 README.html README.txt COPYING $(INSTALLPATHDOC)
 	install -m 644 topal.man $(INSTALLPATHMAN)/man1/topal.1
-	install -m 644 pine-*.patch alpine-*.patch $(INSTALLPATHPATCHES)
+	install -m 644 pine-*.patch alpine-*.patch alpine-*.patch-* $(INSTALLPATHPATCHES)
 	install -m 755 -s MIME-tool/mime-tool $(INSTALLPATHBIN)
 	install -m 644 MIME-tool/mime-tool.man $(INSTALLPATHMAN)/man1/mime-tool.1
 
@@ -119,12 +119,12 @@
 
 topal-package-$(RELEASECODE).tgz.asc:	topal-package-$(RELEASECODE).tgz
 	-rm topal-package-$(RELEASECODE).tgz.asc
-	-gpg --detach-sign --armor --local-user=$(MYKEY) topal-package-$(RELEASECODE).tgz
+	-gpg --detach-sign --armor --local-user=$(MYKEY) --use-agent topal-package-$(RELEASECODE).tgz
 
-distrib:	 topal-package-$(RELEASECODE).tgz.asc topal.gz.asc topal-ps.gz.asc mkdistrib release
+distrib:	 topal-package-$(RELEASECODE).tgz.asc topal.gz.asc topal-ps.gz.asc mkdistrib
 	-rm -rf www
 	mkdir www
-	cp topal-package-$(RELEASECODE).tgz topal-package-$(RELEASECODE).tgz.asc topal.gz topal.gz.asc topal-ps.gz topal-ps.gz.asc README.html COPYING pine-*.patch alpine-*.patch release www
+	cp topal-package-$(RELEASECODE).tgz topal-package-$(RELEASECODE).tgz.asc topal.gz topal.gz.asc topal-ps.gz topal-ps.gz.asc README.html COPYING pine-*.patch alpine-*.patch alpine-*.patch-* www
 	cd www && ../mkdistrib $(RELEASECODE)
 
 FORCE:
