## topal 74

=== Makefile ===
# Topal: GPG/GnuPG and Alpine/Pine integration
# Copyright (C) 2001--2011  Phillip J. Brooke
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

.PHONY:	all binary doc clean realclean distclean package install distrib all2 FORCE

RELEASECODE=$(shell grep '^<dt>' Changelog.html | tail -1 | sed 's/.* release //; sx</a>.*$$xx')
BUILDDATE=$(shell date '+%Y-%m-%dT%H%M%S%Z')

# If you intend to redistribute this package, you will obviously need
# to substitute your own key id here.
MYKEY=0x50973B91


GENFILES=$(addprefix ./,version_id.adb help.ads help.adb b~topal.ads b~topal.adb)
CFILES=$(shell find . -maxdepth 1 -name \*.c)
ADSFILES=$(filter-out $(GENFILES),$(shell find . -maxdepth 1 -name \*.ads))
ADBFILES=$(filter-out $(GENFILES),$(shell find . -maxdepth 1 -name \*.adb))
OTHERFILES=Makefile Changelog.html Features.html topal.pdf topal.tex topal.man COPYING mkversionid mkversionidtex mkhelp help.txt mkdistrib cygwin.patch $(shell find . -maxdepth 1 -name pine-\*.patch) $(shell find . -maxdepth 1 -name alpine-\*.patch) $(shell find . -maxdepth 1 -name alpine-\*.patch-\*)
TOPALDEPS=ada-readline-c.o ada-echo-c.o externals-c.o version_id.adb help.ads help.adb $(ADSFILES) $(ADBFILES)

INSTALLPATH ?= /usr
INSTALLPATHBIN ?= $(INSTALLPATH)/bin
INSTALLPATHMAN ?= $(INSTALLPATH)/share/man
INSTALLPATHDOC ?= $(INSTALLPATH)/share/doc/topal
INSTALLPATHPATCHES ?= $(INSTALLPATH)/share/topal/patches

# The default action.
all:	binary topal.pdf

binary: topal mime-tool

all2:	package distrib

ada-readline-c.o:	ada-readline-c.c
	gcc -c -Wall -O2 $(TOPALDEBUG) ada-readline-c.c

ada-echo-c.o:	ada-echo-c.c
	gcc -c -Wall -O2 $(TOPALDEBUG) ada-echo-c.c

externals-c.o:	externals-c.c
	gcc -c -Wall -O2 $(TOPALDEBUG) externals-c.c

mime-tool:	
	make -C MIME-tool

topal:	$(TOPALDEPS)
	gnatmake -gnat05 -gnatwa -gnato -O2 $(TOPALDEBUG) topal
	-strip topal

# FORCE, because BUILDDATE changes each time....
version_id.adb:	mkversionid FORCE
	./mkversionid $(RELEASECODE) $(BUILDDATE)

versionid.tex:	mkversionidtex FORCE
	./mkversionidtex $(RELEASECODE) $(BUILDDATE)

help.ads help.adb: mkhelp help.txt
	./mkhelp

doc:	topal.pdf

topal.pdf:	topal.tex versionid.tex
	pdflatex topal.tex && pdflatex topal.tex

install:	all
	install -d $(INSTALLPATHBIN) $(INSTALLPATHDOC) $(INSTALLPATHMAN)/man1 $(INSTALLPATHPATCHES)
	install -m 755 -s topal $(INSTALLPATHBIN)
	install -m 644 Features.html Changelog.html topal.pdf COPYING $(INSTALLPATHDOC)
	install -m 644 topal.man $(INSTALLPATHMAN)/man1/topal.1
	install -m 644 pine-*.patch alpine-*.patch alpine-*.patch-* $(INSTALLPATHPATCHES)
	install -m 755 -s MIME-tool/mime-tool $(INSTALLPATHBIN)
	install -m 644 MIME-tool/mime-tool.man $(INSTALLPATHMAN)/man1/mime-tool.1

clean:
	-rm *.o *.ali $(GENFILES)
	# Clean LaTeX stuff.
	-rm topal.{toc,out,log,aux}
	# Clean packaging directories.
	-rm -rf topal-[0-9]*
	make -C MIME-tool clean

distclean realclean:	clean
	-rm topal topal.gz topal.gz.asc topal-ps topal-ps.gz topal-ps.gz.asc README.txt topal-package*.{tgz,tgz.sig,tgz.asc} *~
	-rm -rf www www.bak
	make -C MIME-tool realclean

package:	topal-package-$(RELEASECODE).tgz topal-package-$(RELEASECODE).tgz.asc

topal-package-$(RELEASECODE).tgz:	$(CFILES) $(ADSFILES) $(ADBFILES) $(OTHERFILES) doc
	-rm -rf topal-$(RELEASECODE)
	mkdir topal-$(RELEASECODE)
	cp -r $(CFILES) $(ADSFILES) $(ADBFILES) $(OTHERFILES) MIME-tool screens topal-$(RELEASECODE)
	find topal-$(RELEASECODE) -type f | xargs chmod 644
	find topal-$(RELEASECODE) -type f -name mk\* | xargs chmod 755
	chmod 755 topal-$(RELEASECODE)
	tar cvzf topal-package-$(RELEASECODE).tgz topal-$(RELEASECODE)


topal-package-$(RELEASECODE).tgz.asc:	topal-package-$(RELEASECODE).tgz
	-rm topal-package-$(RELEASECODE).tgz.asc
	-gpg --detach-sign --armor --local-user=$(MYKEY) --use-agent topal-package-$(RELEASECODE).tgz

distrib:	 topal-package-$(RELEASECODE).tgz.asc mkdistrib
	-rm -rf www
	mkdir www
	cp topal-package-$(RELEASECODE).tgz topal-package-$(RELEASECODE).tgz.asc topal.pdf Changelog.html COPYING www
	cd www && ../mkdistrib $(RELEASECODE)

FORCE:
