=== MIME-tool/Makefile ===
.PHONY:	all clean realclean distrib

all:	mime-tool

mime-tool:	mime.c
	gcc -Wall -O2 -o mime-tool mime.c
	-strip mime-tool

realclean:	clean
	-rm mime-tool
	-rm mime-tool.tar.gz

clean:
	-rm *~

distrib:	mime-tool.tar.gz

mime-tool.tar.gz:
	tar cvzf mime-tool.tar.gz GPL.txt  Makefile  mime.c  mime-tool.man README.txt README.Topal.txt
