## topal 77

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Topal: GPG/GnuPG and Alpine/Pine integration
-# Copyright (C) 2001--2012  Phillip J. Brooke
+# Copyright (C) 2001--2017  Phillip J. Brooke
 # 
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License version 3 as
@@ -13,21 +13,23 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-.PHONY:	all binary doc clean realclean distclean package install distrib all2 FORCE
+.PHONY:	all binary doc clean realclean distclean package tarball install distrib all2 FORCE
 
+SHELL=bash
 RELEASECODE=$(shell grep '^<dt>' Changelog.html | tail -1 | sed 's/.* release //; sx</a>.*$$xx')
 BUILDDATE=$(shell date '+%Y-%m-%dT%H%M%S%Z')
 
 # If you intend to redistribute this package, you will obviously need
 # to substitute your own key id here.
-MYKEY=0x50973B91
+MYKEY=0x47DC67A1
 
+include Buildflags.mk
 
 GENFILES=$(addprefix ./,version_id.adb help.ads help.adb b~topal.ads b~topal.adb)
 CFILES=$(shell find . -maxdepth 1 -name \*.c)
 ADSFILES=$(filter-out $(GENFILES),$(shell find . -maxdepth 1 -name \*.ads))
 ADBFILES=$(filter-out $(GENFILES),$(shell find . -maxdepth 1 -name \*.adb))
-OTHERFILES=Makefile Changelog.html Features.html topal.pdf topal.tex topal.man COPYING mkversionid mkversionidtex mkhelp help.txt mkdistrib cygwin.patch $(shell find . -maxdepth 1 -name pine-\*.patch) $(shell find . -maxdepth 1 -name alpine-\*.patch) $(shell find . -maxdepth 1 -name alpine-\*.patch-\*)
+OTHERFILES=Makefile Buildflags.mk Changelog.html Features.html topal.pdf topal.tex topal.man COPYING mkversionid mkversionidtex mkhelp help.txt mkdistrib cygwin.patch $(shell find . -maxdepth 1 -name pine-\*.patch) $(shell find . -maxdepth 1 -name alpine-\*.patch) $(shell find . -maxdepth 1 -name alpine-\*.patch-\*)
 TOPALDEPS=ada-readline-c.o ada-echo-c.o externals-c.o version_id.adb help.ads help.adb $(ADSFILES) $(ADBFILES)
 
 INSTALLPATH ?= /usr
@@ -35,6 +37,7 @@
 INSTALLPATHMAN ?= $(INSTALLPATH)/share/man
 INSTALLPATHDOC ?= $(INSTALLPATH)/share/doc/topal
 INSTALLPATHPATCHES ?= $(INSTALLPATH)/share/topal/patches
+
 
 # The default action.
 all:	binary topal.pdf
@@ -44,19 +47,19 @@
 all2:	package distrib
 
 ada-readline-c.o:	ada-readline-c.c
-	gcc -c -Wall -O2 $(TOPALDEBUG) ada-readline-c.c
+	gcc -c $(DEBCFLAGS) $(TOPALDEBUG) ada-readline-c.c
 
 ada-echo-c.o:	ada-echo-c.c
-	gcc -c -Wall -O2 $(TOPALDEBUG) ada-echo-c.c
+	gcc -c $(DEBCFLAGS) $(TOPALDEBUG) ada-echo-c.c
 
 externals-c.o:	externals-c.c
-	gcc -c -Wall -O2 $(TOPALDEBUG) externals-c.c
+	gcc -c $(DEBCFLAGS) $(TOPALDEBUG) externals-c.c
 
 mime-tool:	
 	make -C MIME-tool
 
 topal:	$(TOPALDEPS)
-	gnatmake -gnat05 -gnatwa -gnato -O2 $(TOPALDEBUG) topal
+	gnatmake -gnat2012 -gnatwa -gnata -gnato -gnateE $(DEBADAFLAGS) $(TOPALDEBUG) topal -largs $(DEBLDFLAGS)
 	-strip topal
 
 # FORCE, because BUILDDATE changes each time....
@@ -92,11 +95,13 @@
 	make -C MIME-tool clean
 
 distclean realclean:	clean
-	-rm topal topal.gz topal.gz.asc topal-ps topal-ps.gz topal-ps.gz.asc README.txt topal-package*.{tgz,tgz.sig,tgz.asc} *~
+	-rm topal topal.gz topal.gz.asc topal-ps topal-ps.gz topal-ps.gz.asc README.txt topal-package*.{tgz,tgz.sig,tgz.asc} topal-package*-tgz.asc *~
 	-rm -rf www www.bak
 	make -C MIME-tool realclean
 
 package:	topal-package-$(RELEASECODE).tgz topal-package-$(RELEASECODE).tgz.asc
+
+tarball:	topal-package-$(RELEASECODE).tgz
 
 topal-package-$(RELEASECODE).tgz:	$(CFILES) $(ADSFILES) $(ADBFILES) $(OTHERFILES) doc
 	-rm -rf topal-$(RELEASECODE)
@@ -107,15 +112,16 @@
 	chmod 755 topal-$(RELEASECODE)
 	tar cvzf topal-package-$(RELEASECODE).tgz topal-$(RELEASECODE)
 
+# User -tgz.asc instead of .tgz.asc because of VM/NTL's stupid web server.
+topal-package-$(RELEASECODE)-tgz.asc:	topal-package-$(RELEASECODE).tgz
+	-rm topal-package-$(RELEASECODE)-tgz.asc
+	-gpg --detach-sign --armor --local-user=$(MYKEY) --use-agent topal-package-$(RELEASECODE).tgz
+	mv topal-package-$(RELEASECODE).tgz.asc topal-package-$(RELEASECODE)-tgz.asc
 
-topal-package-$(RELEASECODE).tgz.asc:	topal-package-$(RELEASECODE).tgz
-	-rm topal-package-$(RELEASECODE).tgz.asc
-	-gpg --detach-sign --armor --local-user=$(MYKEY) --use-agent topal-package-$(RELEASECODE).tgz
-
-distrib:	 topal-package-$(RELEASECODE).tgz.asc mkdistrib
+distrib:	 topal-package-$(RELEASECODE)-tgz.asc mkdistrib
 	-rm -rf www
 	mkdir www
-	cp topal-package-$(RELEASECODE).tgz topal-package-$(RELEASECODE).tgz.asc topal.pdf Changelog.html COPYING www
+	cp topal-package-$(RELEASECODE).tgz topal-package-$(RELEASECODE)-tgz.asc topal.pdf Changelog.html COPYING www
 	cd www && ../mkdistrib $(RELEASECODE)
 
 FORCE:
