=== MIME-tool/Makefile ===
--- 
+++ 
@@ -1,9 +1,11 @@
 .PHONY:	all clean realclean distrib
+
+include ../Buildflags.mk
 
 all:	mime-tool
 
 mime-tool:	mime.c
-	gcc -Wall -O2 -o mime-tool mime.c
+	gcc $(DEBCFLAGS) -o mime-tool mime.c $(DEBLDFLAGS)
 	-strip mime-tool
 
 realclean:	clean
