## topal 78

=== MIME-tool/Makefile ===
--- 
+++ 
@@ -5,15 +5,13 @@
 all:	mime-tool
 
 mime-tool:	mime.c
-	gcc $(DEBCFLAGS) -o mime-tool mime.c $(DEBLDFLAGS)
-	-strip mime-tool
+		$(CC) -c $(default_CFLAGS) $(default_LDFLAGS) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $< -o $@
 
 realclean:	clean
-	-rm mime-tool
-	-rm mime-tool.tar.gz
+	$(RM) mime-tool mime-tool.tar.gz
 
 clean:
-	-rm *~
+	$(RM) *~
 
 distrib:	mime-tool.tar.gz
