=== MIME-tool/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 all:	mime-tool
 
 mime-tool:	mime.c
-		$(CC) -c $(default_CFLAGS) $(default_LDFLAGS) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $< -o $@
+		$(CC) $(default_CFLAGS) $(default_LDFLAGS) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $< -o $@
 
 realclean:	clean
 	$(RM) mime-tool mime-tool.tar.gz
