=== debian/changelog ===
topal (81-2ubuntu2.1) noble; urgency=medium

  * SRU: LP: #2083315: No-change rebuild for gnat 64bit time_t changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 01 Oct 2024 12:31:46 +0200

topal (81-2ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:26:47 +1100

topal (81-2ubuntu1) noble; urgency=medium

  * Build-depend on dh-ada-library.
  * Fix makefile include.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Mar 2024 18:04:45 +0100

topal (81-2build1) noble; urgency=medium

  * No-change rebuild for readline time64 change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 03:01:58 +0100

topal (81-2) unstable; urgency=medium

  * Re-upload for GNAT-11 transition.
  * Apply suggestions from Nicolas Boulenguez (thank you).
    - Use debhelper-compat instead of debian/compat file.
    - Update copyright.
    - Unversioned GNAT package dependency (instead of gnat-11).
    - Update dh_auto_build rule as pdflatex is run by install target.
    - Remove dh_clean override (obsolete).
  * Bump standards-version to 4.6.1.

 -- Phil Brooke <pjb@debian.org>  Tue, 17 May 2022 21:48:53 +0100

topal (81-1) experimental; urgency=medium

  * New upstream release.
  * Convert to source format 3.0 quilt (closes: #1007470).
  * Apply many suggestions from Nicolas Boulenguez (thank you).
    - Apply rules-require-root: no.
    - More use of dh_auto_install.
    - Set BUILDER_OPTIONS for gnatmake -m to use checksums rather
      than timestamps.
    - More hardening flags.
    - Remove some trailing whitespace from changelog.
    - Tighten texlive dependencies.
    - Closes: #903998.
  * Change recommends on mime-support to mailcap (closes: #1009767).
  * Bump to debhelper 13.
  * Bump standards-version to 4.6.0.

 -- Phil Brooke <pjb@debian.org>  Sun, 24 Apr 2022 17:26:22 +0100

topal (80-1) unstable; urgency=medium

  * New upstream release:
    - Fixes key handling.
    - Changes debug handling to not mess up terminals.
    - Fixes broken build of mime-tool (closes: #923040).

 -- Phil Brooke <pjb@debian.org>  Sat, 23 Feb 2019 13:59:41 +0000

topal (78-2) unstable; urgency=medium

  * Re-upload to carry changes from experimental to unstable (for
    GNAT-8 transition).

 -- Phil Brooke <pjb@debian.org>  Sun, 21 Oct 2018 15:35:27 +0100

topal (78-1) experimental; urgency=medium

  * New upstream release.
  * Apply some patches from Nicolas Boulenguez (thank you!).
    - Add homepage field to control.
    - Switch rules to use dh driver.
    - Remove some unused variables, unnecessary clean and an obsolete
      comment.

 -- Phil Brooke <pjb@debian.org>  Sun, 22 Jul 2018 15:03:33 +0100

topal (77-1) unstable; urgency=medium

  * New upstream release.
  * Apply some patches from Nicolas Boulenguez:
     * Fix typo in 75-2.1 changelog entry.
     * Copyright file now format 1.0.
     * Register manual in doc-base.
     * Manage symlinks with debian/links, removing prerm/postinst.
     * Drop obsolete shlibs.local.
     * Depend on gnat, but not a specific gnat version.
    Many thanks, Nicolas.
  * New upstream URL.
  * Bump standards-version to 4.1.0.
  * Bump debian/compat to 10 and update debhelper build-depends.

 -- Phil Brooke <pjb@debian.org>  Wed, 20 Sep 2017 19:03:44 +0100

topal (75-3) unstable; urgency=medium

  * Ack NMU 75-2.1; thank you, Nicolas.
  * Fix misuse of sed character class syntax which stops topal
    working.  (Closes: #870825.)
    Thank you to Max Justicz and Olaf Skibbe for bug reports and
    testing.

 -- Phil Brooke <pjb@debian.org>  Sun, 06 Aug 2017 16:52:11 +0100

topal (75-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild with gnat-6 and bump ALI version. Closes: #830333.
    Select gnatgcc (currently gcc-6) instead of gcc (currently gcc-5).

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 11 Jul 2016 18:12:06 +0200

topal (75-2) unstable; urgency=medium

  * Remove metamail from suggests list.  (Closes: #665090.)
  * Update to gnat-4.9.  (Closes: #751697.)
  * Bump standards-version to 3.9.5.
  * Add dpkg-buildflags.
  * Add debian/source/format.
  * Add an override re: the mime-tool source.  This is a bug to be
    fixed upstream, then the override can be removed.

 -- Phil Brooke <pjb@debian.org>  Tue, 22 Jul 2014 17:00:07 +0100

topal (75-1) unstable; urgency=low

  * New upstream release.
  * Bump standards-version to 3.9.3.
  * Bump gnat version to 4.6.

 -- Phil Brooke <pjb@debian.org>  Mon, 27 Feb 2012 08:13:00 +0000

topal (74-1) unstable; urgency=low

  * New upstream release.
  * Bump standards-version to 3.9.2.
  * Upstream documentation changes:
     * No longer need weblint.
     * Uses some texlive packages instead.
     * Remove LaTeX aux files in clean target.
     * Updated debian/docs.
     * Rename and convert Changelog.html to text.
  * Added build-arch and build-indep targets.

 -- Phil Brooke <pjb@debian.org>  Mon, 04 Jul 2011 12:25:03 +0100

topal (72-1) unstable; urgency=low

  * New upstream release.

 -- Phil Brooke <pjb@debian.org>  Mon, 01 Mar 2010 15:18:34 +0000

topal (70-1) unstable; urgency=low

  * New upstream release.
  * Bump gnat version to 4.4.
  * Change architecture to any (to match gnat-4.4).
    (Closes: #568453, #542420).
  * Bump standards version to 3.8.4.
  * Add ${misc:Depends} to Depends.
  * Topal no longer uses tofrodos.

 -- Phil Brooke <pjb@debian.org>  Sat, 06 Feb 2010 15:52:29 +0000

topal (68-1) unstable; urgency=low

  * New upstream release.
  * Bump standards-version to 3.8.2.
  * Bump debian/compat to 6 and build-depends on debhelper.
  * Now refer to GPL-3 common licence, not GPL.
  * Adjust dates in copyright notice.
  * Alpine patch names have changed slightly in upstream: so
    update debian/rules.

 -- Phil Brooke <pjb@debian.org>  Sat, 27 Jun 2009 15:27:08 +0100

topal (62-1) unstable; urgency=low

  * New upstream release.  This includes the necessary upstream work

