=== debian/control ===
Source: topal
Section: mail
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Phil Brooke <pjb@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-ada-library,
 gnat (>= 11),
 libreadline-dev,
 texlive,
 texlive-latex-base,
 texlive-latex-extra,
 texlive-fonts-recommended,
 texlive-fonts-extra
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://www.zircon.org.uk/topal/

Package: topal
Architecture: any
Depends: gnupg, ${shlibs:Depends}, ${misc:Depends}, less
Recommends: alpine, mailcap, procmail, openssl, gpgsm
Description: Links Pine and GnuPG together
 Topal is yet another program that links GnuPG and Pine/Alpine.  It
 offers facilities to encrypt, decrypt, sign, and verify messages.
 Multiple PGP blocks included in the text of a message are processed.
 Decryption and verification output can be cached to reduce the
 number of times the passphrase is entered.  RFC2015/3156 multipart
 messages can be sent and received with help from some scripts,
 procmail, and a patch to Pine/Alpine.  It includes basic support for
 verifying S/MIME multipart/signed messages.  There is a remote
 sending mode for reading email on a distant computer via SSH with
 secret keys on the local computer.  There is a high level of
 configurability.
