## topal 84

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Topal: GPG/GnuPG and Alpine/Pine integration
-# Copyright (C) 2001--2022  Phillip J. Brooke
+# Copyright (C) 2001--2024  Phillip J. Brooke
 # 
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License version 3 as
