=== debian/changelog ===
topal (84-1build1) plucky; urgency=medium

  * No-change rebuild with gnat-14

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 10 Mar 2025 11:26:13 +0000

topal (84-1) unstable; urgency=medium

  * New upstream release.
  * Apply patch from Nicolas Boulenguez (thank you).
    - Fixes /usr/share/ada/debian_packaging.mk missing for
      debian/rules (closes: #1067320).
    - Assorted cleanups to Debian packaging.
  * Move to Salsa as Git VCS and minor polish.

 -- Phil Brooke <pjb@debian.org>  Tue, 07 May 2024 16:22:36 +0100
