=== debian/control ===
--- 
+++ 
@@ -1,27 +1,27 @@
 Source: topal
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Phil Brooke <pjb@debian.org>
+Maintainer: Phil Brooke <pjb@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-ada-library,
+ dh-ada-library (>= 8.2),
  gnat (>= 11),
  libreadline-dev,
- texlive,
+ texlive-fonts-extra,
+ texlive-fonts-recommended,
  texlive-latex-base,
  texlive-latex-extra,
- texlive-fonts-recommended,
- texlive-fonts-extra
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Homepage: https://www.zircon.org.uk/topal/
+Homepage: https://green-pike.co.uk/topal/
+Vcs-Browser: https://salsa.debian.org/debian/topal
+Vcs-Git: https://salsa.debian.org/debian/topal.git
 
 Package: topal
 Architecture: any
 Depends: gnupg, ${shlibs:Depends}, ${misc:Depends}, less
 Recommends: alpine, mailcap, procmail, openssl, gpgsm
-Description: Links Pine and GnuPG together
+Description: Glue between the Alpine email client and GnuPG cryptography
  Topal is yet another program that links GnuPG and Pine/Alpine.  It
  offers facilities to encrypt, decrypt, sign, and verify messages.
  Multiple PGP blocks included in the text of a message are processed.
