=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

DEB_BUILD_MAINT_OPTIONS := hardening=+all
DPKG_EXPORT_BUILDFLAGS := 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/packaging.mk

# Compile Ada and C with the same compiler.
export CC := gcc-$(DEB_GNAT_VERSION)

# Upstream Makefile insists on rebuilding everything everytime.
# SOURCE_DATE_EPOCH (set by debhelper) and the -m gnatmake option may
# avoid some unneeded recompilations.
export gnatmake_options := $(GNATMAKEFLAGS) -m

# Tell Make not to strip the executables (dh_strip will).
export strip := true

%:
	dh  $@

execute_after_dh_auto_install:
	# The verbatim GPL would duplicate /usr/share/common-licenses.
	rm -f debian/topal/usr/share/doc/topal/COPYING
	# Let dh_installchangelogs handle an html changelog.
	rm -f debian/topal/usr/share/doc/topal/Changelog.html

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs Changelog.html
